FROM ubuntu:22.04
ENV TZ=Europe/Paris
RUN ln -snf /usr/share/zoneinfo/$TZ /etc/localtime && echo $TZ > /etc/timezone && apt update  && apt upgrade -y && apt install -y -qq \
    cmake \
    git-core \
    make \
	g++ \
    gfortran \
	libboost-dev \
	libfftw3-dev \
	python3 \
	python3-pip \
	python3.10-venv	\
	doxygen  \
	graphviz
RUN python3 -m pip install sphinx
RUN apt autoclean -y && apt autoremove -y&& rm -rf /var/lib/apt/lists/*
